package fantastikk.preset;

import java.util.HashMap;
import java.util.Map;

/**
 * vZbg̐ݒlێ邽߂̃NXłB
 * @author Takashi Nishikawa
 *
 */
public class JXPresetValues {
	/** O */
	private String destinationName;

	/** ݒ蔽f̎ */
	private String destinationType;

	/** ݒރt@C */
	private String destinationFile;

	/** ݒli[}bv */
	private HashMap values;

	/** vZbgt@CŐݒ蔽f\萔 (destination vf type ) */
	public static final String PRESET_DESTINATION_TYPE_XSLT_STYLESHEET = "xslt-stylesheet";
	public static final String PRESET_DESTINATION_TYPE_VELOCITY_TEMPLATE = "velocity-template";
	public static final String PRESET_DESTINATION_TYPE_APPLICATION_CONFIGURATION = "application-configuration";

	/**
	 * RXgN^
	 */
	public JXPresetValues() {
		values = new HashMap();
	}

	/**
	 * OԂ܂B
	 * @return O
	 */
	public String getDestinationName() {
		return destinationName;
	}

	/**
	 * Oݒ肵܂B
	 * @param destinationName O
	 */
	public void setDestinationName(String destinationName) {
		this.destinationName = destinationName;
	}

	/**
	 * ݒ蔽f̎ނԂ܂B
	 * @return ݒ蔽f̎
	 */
	public String getDestinationType() {
		return destinationType;
	}

	/**
	 * ݒ蔽f̎ނݒ肵܂B
	 * @param destinationType ݒ蔽f̎
	 */
	public void setDestinationType(String destinationType) {
		this.destinationType = destinationType;
	}

	/**
	 * ݒރt@CԂ܂B
	 * @return ݒރt@C
	 */
	public String getDestinationFile() {
		return destinationFile;
	}

	/**
	 * ݒރt@Cݒ肵܂B
	 * @param destinationFile ݒރt@C
	 */
	public void setDestinationFile(String destinationFile) {
		this.destinationFile = destinationFile;
	}

	/**
	 * w肵O̐ݒlNA܂B
	 * @param key ݒl̖O (L[)
	 */
	public void remove(String key) {
		values.remove(key);
	}

	/**
	 * ׂĂ̐ݒlNA܂B
	 */
	public void clear() {
		values.clear();
	}

	/**
	 * ݒlɊi[Ă邩ǂԂ܂B
	 * @param key ݒl̖O (L[)
	 * @return ݒlɊi[Ă邩ǂ (i[Ăꍇ true)
	 */
	public boolean contains(String key) {
		return values.containsKey(key);
	}

	/**
	 * ݒli[܂BݒlɊi[Ăꍇ͏㏑܂B
	 * @param key ݒl̖O (L[)
	 * @aaram value ݒl
	 */
	public void set(String key, String value) {
		values.put(key, value);
	}

	/**
	 * ݒl܂Ƃ߂Ċi[܂BݒlɊi[Ăꍇ͏㏑܂B
	 * @param map ݒl
	 */
	public void setAll(Map map) {
		values.putAll(map);
	}

	/**
	 * ݒl܂Ƃ߂Ċi[܂BݒlɊi[Ăꍇ͏㏑܂B
	 * @param presetValues ݒl
	 */
	public void setAll(JXPresetValues presetValues) {
		values.putAll(presetValues.getAll());
	}

	/**
	 * ݒl擾܂B
	 * @param key ݒl̖O (L[)
	 * @return ݒl (݂ȂȌꍇ null)
	 */
	public String get(String key) {
		return (String)values.get(key);
	}

	/**
	 * ׂĂ̐ݒli[}bvԂ܂B
	 * @return ׂĂ̐ݒli[}bv
	 */
	public HashMap getAll() {
		return new HashMap(values);
	}

	/**
	 * IuWFNg̕\Ԃ܂B
	 * @return IuWFNg̕\
	 */
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append("{");
		buffer.append("destinationName=");
		buffer.append(destinationName);
		buffer.append(", destinationType=");
		buffer.append(destinationType);
		buffer.append(", destinationFile=");
		buffer.append(destinationFile);
		buffer.append(", values=");
		buffer.append(values.toString());
		buffer.append("}");
		return buffer.toString();
	}
}
