package fantastikk.proc.fo.xf;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import fantastikk.proc.transform.JXAbstractXsltProcess;
import fantastikk.util.PatternUtility;


/**
 * AH Formatter ̏ʂ̃XbhŎs邽߂̒ۃNXłB
 * @author Takashi Nishikawa
 */
public abstract class JXAbstractXFProcess extends JXAbstractXsltProcess {
	/** st@CXg (Windows p) */
	public static final String[] EXEC_FILES = {"AHFCmd.exe", "XSLCmd.exe"};

	/** st@C (Windows ȊO) */
	public static final String RUN_SH = "run.sh";

	/** ݒp[^̃vtBbNX */
	public static final String AH_FORMATTER_OPTION_PREFIX = "application_ah_option_";

	/** PDFo͂ɊւIvV̂AݒlȂ */
	public static final Set noValuePdfOptions;
	
	/** sR}h */
	protected String command = "";

	/**
	 * static q
	 */
	static {
		/* PDFo͂ɊւIvV̂AݒlȂ */
		noValuePdfOptions = new HashSet();
		noValuePdfOptions.add("tpdf");
		noValuePdfOptions.add("lpdf");
		noValuePdfOptions.add("dsig");
		noValuePdfOptions.add("npt");
		noValuePdfOptions.add("ncg");
		noValuePdfOptions.add("ncc");
		noValuePdfOptions.add("nca");
		noValuePdfOptions.add("nff");
		noValuePdfOptions.add("nab");
		noValuePdfOptions.add("nad");
		noValuePdfOptions.add("pef");
		noValuePdfOptions.add("peg");
		noValuePdfOptions.add("pex");
		noValuePdfOptions.add("pcs");
		noValuePdfOptions.add("plr");
		noValuePdfOptions.add("pds");
	}

	/**
	 * ̏sȂ܂B
	 */
	protected void prepare() {
	}

	/**
	 * sR}hԂ܂B
	 */
	public String getCommand() {
		return command;
	}

	/**
	 * o̓IvVݒ肵܂B
	 * @param buffer R}hi[ StringBuffer IuWFNg
	 */
	protected void setRendererOptions(StringBuffer buffer) {
		if (buffer != null && outputOptions != null) {
			for (Iterator iterator = outputOptions.keySet().iterator(); iterator.hasNext();) {
				String key = (String)iterator.next();
				if (key.startsWith(AH_FORMATTER_OPTION_PREFIX)) {
					String option = key.substring(AH_FORMATTER_OPTION_PREFIX.length());
					String value = (String)outputOptions.get(AH_FORMATTER_OPTION_PREFIX + option);
					if (noValuePdfOptions.contains(option)){
						if (value != null && PatternUtility.PATTERN_YES_OR_TRUE.matcher(value).matches()) {
							buffer.append(" -" + option);
						}
					} else {
						if (value != null && value.length() > 0) {
							buffer.append(" -" + option);
							
//							if (PatternUtility.PATTERN_CONTAINS_BLANK.matcher(value).matches()) {
							if (!PatternUtility.PATTERN_DIZIT.matcher(value).matches()) {
								buffer.append(" \"" + value + "\"");
							} else {
								buffer.append(" " + value);
							}
						}
					}
				}
			}
		}
	}
}
