package fantastikk.proc.fo.xf.jif;


import fantastikk.JXController;
import fantastikk.properties.JXPropertyDepository;
import jp.co.antenna.XfoJavaCtl.MessageListener;

/**
 * AH Formatter (Java C^[tF[X) ł̃O̎擾ɎgpNXłB
 * @author Takashi Nishikawa
 */
public class JXXFjLogger implements MessageListener {
	/** JXController IuWFNg */
	private JXController controller;

	/** ÕvtBbNX */
	private String errorLevelPrefix;
	private String errorCodePrefix;

	/**
	 * RXgN^
	 */
	public JXXFjLogger() {
		this.controller = JXController.getInstance();
		JXPropertyDepository propertyDepository = JXPropertyDepository.getInstance();
		errorLevelPrefix = propertyDepository.getString(JXPropertyDepository.PROPERTIES_LINE, "ah_formatter_error_level_prefix");
		errorCodePrefix = propertyDepository.getString(JXPropertyDepository.PROPERTIES_LINE, "ah_formatter_error_code_prefix");
	}

	/**
	 * gŎɔG[Ԃ܂B
	 * @param errLevel G[x
	 * @param errCode G[R[h
	 * @param errMessage G[bZ[W
	 */
	public void onMessage(int errLevel, int errCode, String errMessage) {
		String message = errorLevelPrefix + errLevel + "  " + errorCodePrefix +  errCode + "  " + errMessage;

		if (controller != null) {
			controller.printMessage(message, false);
		}
	}
}
