package fantastikk.util;

import java.util.regex.Pattern;

/**
 * Pʊ֘Ã[eBeBNXłB
 * @author Takashi Nishikawa
 */
public class UnitUtility {
	/** Pʖ̃p^[ */
	public static final Pattern PATTERN_UNIT = Pattern.compile("mm|em|pt");

	/**
	 * XebvlԂ܂B
	 * @param unitStr P
	 * @param selectedUnitStr Il
	 * @return Xebvl
	 */
	public static Number getStepValue(String unitStr, String selectedUnitStr) {
		/* mm, pt, em  0.1, ȊO 1 */
		if (unitStr != null && unitStr.length() > 0) {
			if (PATTERN_UNIT.matcher(unitStr.trim()).matches()) {
				return new Double(0.1);
			}
		}

		/* mm, pt, em  0.1, ȊO 1 */
		if (selectedUnitStr != null && selectedUnitStr.length() > 0) {
			if (PATTERN_UNIT.matcher(selectedUnitStr.trim()).matches()) {
				return new Double(0.1);
			}
		}

		return new Integer(1);
	}

	/**
	 * XebvlԂ܂B
	 * @param unitStr P
	 * @return Xebvl
	 */
	public static Number getStepValue(String unitStr) {
		/* mm, pt, em  0.1, ȊO 1 */
		if (unitStr != null && unitStr.length() > 0) {
			if (PATTERN_UNIT.matcher(unitStr.trim()).matches()) {
				return new Double(0.1);
			}
		}

		return new Integer(1);
	}
}
