<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
    <xsl:template match="float" exclude-result-prefixes="#all">
        <div class="figure">
            <table>
                <xsl:apply-templates select="@*"/>
                <xsl:apply-templates/>
            </table>
        </div>
    </xsl:template>
    <xsl:template match="res[contains(@mimetype,'image/')]">
        <tr>
            <th>
                <img src="{concat('image/',@src)}" alt="{@src}"/>
            </th>
        </tr>
    </xsl:template>
    <xsl:template match="float/caption">
        <caption>
            <xsl:apply-templates/>
        </caption>
    </xsl:template>
</xsl:stylesheet>
