<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output method="text"/>
	<xsl:template match="div">
		<xsl:variable name="div_count">
			<xsl:number level="any" format="1" count="div"/>
		</xsl:variable>
		<div xmlns="http://www.w3.org/1999/xhtml" > <!-- id="{@id}" -->
			<xsl:if test="''!=@id">
				<xsl:attribute name="id">_<xsl:value-of select="@id"/></xsl:attribute>
			</xsl:if>
			<div id="{concat('anchor_', $div_count)}">
				<xsl:apply-templates/>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>
