<?xml version="1.0" encoding="UTF-8"?>
<!--
	=============================================================================
	JAGAT XMLパブリッシング準研究会 Jepasspo/FANTaStIKK SG  jepaX用スタイルシート
	=============================================================================
	generate_bookmark.xsl  【PDFのしおりの生成】
	=============================================================================
	2010-10-01  ver.0.9  by K.Kuwano
	2010-XX-XX  ver.1.0  checked by Nobody
	=============================================================================
-->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no"/>
	<xsl:template name="generate_bookmark">
		<xsl:for-each select="front/div|body/div|back/div|div">
			<fo:bookmark>
				<xsl:attribute name="internal-destination">
					<xsl:choose>
						<xsl:when test="@id">
							<xsl:value-of select="@id"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="generate-id()"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<fo:bookmark-title>
					<xsl:choose>
						<xsl:when test="head/title">
							<xsl:value-of select="head/title"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat(count(ancestor::div)+1,'-',position())"/>
						</xsl:otherwise>
					</xsl:choose>
				</fo:bookmark-title>
				<xsl:call-template name="generate_bookmark"/>
			</fo:bookmark>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>