<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
    <xsl:template match="ruby" exclude-result-prefixes="#all">
        <xsl:choose>
            <xsl:when test="$i_ruby_style='inline'">
                        <xsl:apply-templates select="rb"/>
                        <xsl:value-of select="$i_ruby_prefix_str"/>
                        <xsl:apply-templates select="rt"/>
                        <xsl:value-of select="$i_ruby_suffix_str"/>
            </xsl:when>
            <xsl:when test="$i_ruby_style='rt_none'">
                <xsl:apply-templates select="rb"/>
            </xsl:when>
            <xsl:when test="$i_ruby_style='rb_none'">
                <xsl:apply-templates select="rt"/>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
