package fantastikk.gui.panel;

import java.awt.Dimension;

import org.w3c.dom.Element;

/**
 * ͗p̃pl̒ۃNXłB
 * @author Takashi Nishikawa
 */
public abstract class JXAbstractValuePanel extends JXAbstractPanel {
	/** ftHgEVAEo[W ID */
	private static final long serialVersionUID = 1L;

	/** TCY̎ނ̐ */
	public static final int SIZE_NUM = 3;

	/** TCY\萔 (ʏ̃TCY) */
	public static final int NORMAL_SIZE = 0;

	/** TCY\萔 (complex z̃pl) */
	public static final int COMPLEX_CHILD_SIZE = 1;

	/** TCY\萔 (appendable-list z̃pl) */
	public static final int APPENDLIST_CHILD_SIZE = 2;

	/** TCY̏ (l͒ʏ̃TCY) */
	protected int size = NORMAL_SIZE;

	/** ڃx̑傫 */
	public static final Dimension[] LABEL_SIZE = new Dimension[SIZE_NUM];

	/** R{{bNX̑傫 */
	public static final Dimension[] COMBOBOX_SIZE = new Dimension[SIZE_NUM];

	/** R{{bNX̃ACȒ傫 (̑Ip) */
	public static final Dimension[] COMBOBOX_ICON_SIZE = new Dimension[SIZE_NUM];

	/** l͗̑傫 */
	public static final Dimension[] INT_INPUT_SIZE = new Dimension[SIZE_NUM];

	/** Pʕ\̑傫 */
	public static final Dimension[] UNIT_SIZE = new Dimension[SIZE_NUM];

	/** eLXg͗̑傫 */
	public static final Dimension[] STR_INPUT_SIZE = new Dimension[SIZE_NUM];

	/** F{̑傫 */
	public static final Dimension[] COLOR_SAMPLE_SIZE = new Dimension[SIZE_NUM];

	/** Element */
	protected Element element;

	/** l */
	protected String initialSelectedValue = "";

	/**
	 * static q
	 */
	static {
		/* ڃx̑傫 */
		LABEL_SIZE[NORMAL_SIZE] = new Dimension(200, 23);
		LABEL_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(0, 23);
		LABEL_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(35, 23);

		/* R{{bNX̑傫 */
		COMBOBOX_SIZE[NORMAL_SIZE] = new Dimension(160, 23);
		COMBOBOX_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(160, 23);
		COMBOBOX_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(160, 23);

		/* R{{bNX̃ACȒ傫 (̑Ip) */
		COMBOBOX_ICON_SIZE[NORMAL_SIZE] = new Dimension(60, 21);
		COMBOBOX_ICON_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(60, 21);
		COMBOBOX_ICON_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(60, 21);

		/* l͗̑傫 */
		INT_INPUT_SIZE[NORMAL_SIZE] = new Dimension(50, 23);
		INT_INPUT_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(50, 23);
		INT_INPUT_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(40, 23);

		/* Pʕ\̑傫 */
		UNIT_SIZE[NORMAL_SIZE] = new Dimension(75, 23);
		UNIT_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(75, 23);
		UNIT_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(75, 23);

		/* eLXg͗̑傫 */
		STR_INPUT_SIZE[NORMAL_SIZE] = new Dimension(160, 23);
		STR_INPUT_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(160, 23);
		STR_INPUT_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(160, 23);

		/* F{̑傫 */
		COLOR_SAMPLE_SIZE[NORMAL_SIZE] = new Dimension(70, 18);
		COLOR_SAMPLE_SIZE[COMPLEX_CHILD_SIZE] = new Dimension(70, 18);
		COLOR_SAMPLE_SIZE[APPENDLIST_CHILD_SIZE] = new Dimension(70, 18);
	}

	/**
	 * DOM m[h̏Ԃɖ߂܂B
	 */
	public void setBackNodeStatus() {
		if (element != null) {
			element.setAttribute("selected", initialSelectedValue);
		}
	}

	/**
	 * RXgN^
	 */
	public JXAbstractValuePanel() {
		super();
	}

	/**
	 * ҏW^s؂ւ܂B
	 * @param editable ҏW (true) ܂͕s (false)
	 */
	public abstract void setEditable(boolean editable);
}
