package fantastikk.proc.fo.xf.jif;

import jp.co.antenna.XfoJavaCtl.XfoObj;
import jp.co.antenna.XfoJavaCtl.XfoException;

import fantastikk.proc.fo.xf.JXAbstractXFProcess;
import fantastikk.properties.JXPropertyDepository;

/**
 * AH Formatter (Java C^[tF[X) ɂ FO  PDF ւ̕ϊʂ̃XbhŎs邽߂̃NXłB
 * @author Takashi Nishikawa
 */
public class JXFo2pdfXFjProcess extends JXAbstractXFProcess {
	/**
	 * sȂ܂B
	 * @return ̐ (Atrue)
	 */
	protected boolean process() {
		/* ۃtO */
		boolean ret = false;

		XfoObj axfo = null;

		try {
			axfo = new XfoObj();
			JXXFjLogger logger = new JXXFjLogger();
			axfo.setMessageListener(logger);
			axfo.setDocumentURI(inputPath);
			axfo.setOutputFilePath(outputPath);
			axfo.setExitLevel(4);	// głŃG[ꍇ̏̒~A 4:vIG[ꍇ
			axfo.execute();
			ret = true;
		} catch (Throwable t) {
			setOccurrence(t);
		} finally {
			if (axfo != null) {
				try {
					axfo.releaseObjectEx();
				} catch (XfoException e) {
					JXPropertyDepository propertyDepository = JXPropertyDepository.getInstance();
					String errorLevelPrefix = propertyDepository.getString(JXPropertyDepository.PROPERTIES_LINE, "ah_formatter_error_level_prefix");
					String errorCodePrefix = propertyDepository.getString(JXPropertyDepository.PROPERTIES_LINE, "ah_formatter_error_code_prefix");
					System.out.println(errorLevelPrefix + e.getErrorLevel() + "\n" + errorCodePrefix + e.getErrorCode() + "\n" + e.getErrorMessage());
				}
			}
		}

		return ret;
	}
}
