package fantastikk.util;

import java.awt.GraphicsEnvironment;

/**
 * tHg֘Ã[eBeBNXłB
 * @author Takashi Nishikawa
 */
public class FontUtility {
	/** tHg̔z */
	private static String[] fonts;
	
	/** IPA UI SVbÑtHg̖O */
	public static String IPA_UI_GOTHIC_FONT_NAME = "";
	
	/** IPA UI SVbNgpł邩 (gpłꍇ true) */
	public static boolean IPA_UI_GOTHIC_AVAILABLE = false;
	
	/** IPA SVbÑtHg̖O */
	public static String IPA_GOTHIC_FONT_NAME = "";
	
	/** IPA SVbNgpł邩 (gpłꍇ true) */
	public static boolean IPA_GOTHIC_AVAILABLE = false;
	
	/** IPA ̃tHg̖O */
	public static String IPA_MINCHO_FONT_NAME = "";
	
	/** IPA gpł邩 (gpłꍇ true) */
	public static boolean IPA_MINCHO_AVAILABLE = false;
	
	/** IPA P SVbÑtHg̖O */
	public static String IPA_P_GOTHIC_FONT_NAME = "";
	
	/** IPA P SVbNgpł邩 (gpłꍇ true) */
	public static boolean IPA_P_GOTHIC_AVAILABLE = false;
	
	/** IPA P ̃tHg̖O */
	public static String IPA_P_MINCHO_FONT_NAME = "";
	
	/** IPA P gpł邩 (gpłꍇ true) */
	public static boolean IPA_P_MINCHO_AVAILABLE = false;

	/** CĨtHg̖O */
	public static String MEIRYO_FONT_NAME = "";
	
	/** CIgpł邩 (gpłꍇ true) */
	public static boolean MEIRYO_AVAILABLE = false;

	/**
	 * static q
	 */
	static {
		/* tHg̔z̎擾 */
		fonts = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
		
		for (int i = 0; i < fonts.length; i++) {
			if (fonts[i].equals("IPA UISVbN") || fonts[i].equals("IPAUIGothic")) {
				IPA_UI_GOTHIC_FONT_NAME = fonts[i];
				IPA_UI_GOTHIC_AVAILABLE = true;
				continue;
				
			} else if (fonts[i].equals("IPASVbN") || fonts[i].equals("IPAGothic")) {
				IPA_GOTHIC_FONT_NAME = fonts[i];
				IPA_GOTHIC_AVAILABLE = true;
				continue;
			
			} else if (fonts[i].equals("IPA") || fonts[i].equals("IPAMincho")) {
				IPA_MINCHO_FONT_NAME = fonts[i];
				IPA_MINCHO_AVAILABLE = true;
				continue;
				
			} else if (fonts[i].equals("IPA PSVbN") || fonts[i].equals("IPAPGothic")) {
				IPA_P_GOTHIC_FONT_NAME = fonts[i];
				IPA_P_GOTHIC_AVAILABLE = true;
				continue;
			
			} else if (fonts[i].equals("IPA P") || fonts[i].equals("IPAPMincho")) {
				IPA_P_MINCHO_FONT_NAME = fonts[i];
				IPA_P_MINCHO_AVAILABLE = true;
				continue;
				
			} else if (fonts[i].equals("CI") || fonts[i].equals("Meiryo")) {
				MEIRYO_FONT_NAME = fonts[i];
				MEIRYO_AVAILABLE = true;
				continue;
			}
		}
	}

	/**
	 * tHg̔zԂ܂B
	 * @return fonts
	 */
	public static String[] getFonts() {
		return fonts;
	}
}
