<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output method="text"/>
	<!-- 外部ファイルの読み込み -->
	<xsl:include href="jepax_var.xsl"/>
	<xsl:include href="common_attr.xsl"/>
	<xsl:include href="xhtml.xsl"/>
	<xsl:include href="ncx.xsl"/>
	<xsl:include href="opf.xsl"/>
	<xsl:include href="container.xsl"/>
	<xsl:include href="logic_elements.xsl"/>
	<xsl:include href="block_elements.xsl"/>
	<xsl:include href="inline_elements.xsl"/>
	<xsl:include href="list_elements.xsl"/>
	<xsl:template match="/">
		<xsl:apply-templates select="jepax"/>
	</xsl:template>
	<xsl:template match="jepax">
		<xsl:call-template name="generate_xhtml"/>
		<xsl:call-template name="generate_toc_ncx"/>
		<xsl:call-template name="generate_content_opf"/>
		<xsl:call-template name="generate_container_xml"/>
	</xsl:template>
</xsl:stylesheet>