<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output method="text"/>
	<xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no" indent="yes" name="xml"/>
	
	<!-- container.xml 作成 -->
	<xsl:template name="generate_container_xml">
	<xsl:variable name="filename_container" select="concat($application_tmp_output_directory, 'META-INF/container.xml')"/>
	<xsl:value-of select="$filename_container"/><xsl:text>を出力しました。
</xsl:text>
		<xsl:result-document href="{$filename_container}" format="xml">
			<container xmlns="urn:oasis:names:tc:opendocument:xmlns:container" version="1.0">
				<rootfiles>
					<rootfile full-path="content.opf" media-type="application/oebps-package+xml"/>
				</rootfiles>
			</container>
		</xsl:result-document>
	</xsl:template>
</xsl:stylesheet>
