<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
	xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
	<xsl:template match="ref" exclude-result-prefixes="#all">
		<xsl:variable name="idref" select="@idref"/>
		<xsl:variable name="id_div_count">
			<xsl:value-of
				select="count(//node()[@id=$idref]/preceding::div[../name()='front' or ../name()='body' or ../name()='back'])+1"
			/>
		</xsl:variable>
		<a href="{concat($id_div_count,'.xhtml','#_', $idref)}">
			<xsl:apply-templates/>
		</a>
	</xsl:template>
</xsl:stylesheet>
